/*
Copyright (c) 1999-2007, United States Government, as represented by
the Administrator for The National Aeronautics and Space Administration.
All rights reserved.
*/
package gov.nasa.gsfc.drl.rtstps.core.output.rdr;

import gov.nasa.gsfc.drl.rtstps.core.RtStpsException;
import gov.nasa.gsfc.drl.rtstps.core.ccsds.Packet;

final public class RDRBuilderNPP {
	
	private RDRFileWriter rdrBuilderNPP;
	
	public RDRBuilderNPP(String outputDirectoryPath, Stats stats) throws RtStpsException {
		RDR.DocumentName = "D34862-01_E_CDFCB-X_Volume_I_ECR_956B_PR.pdf";
		
		rdrBuilderNPP = new RDRFileWriter(stats, outputDirectoryPath, 1, 1, Origin.nfts, MissionName.NPP, Origin.nfts, PlatformShortName.NPP);

		
	}
	
	public void put(Packet p) throws RtStpsException {
		rdrBuilderNPP.put(p);
	}
	
	public void close(boolean hdfCleanup) throws RtStpsException {
		rdrBuilderNPP.close(hdfCleanup);
	}
	
	public String toString() {
		return rdrBuilderNPP.toString();
	}
}
